PPL_LPSOL(1)

NAME
ppl_lpsol - a PPL-based mixed integer programming problem solver

SYNOPSIS
ppl_lpsol [OPTION]... [FILE]

DESCRIPTION
Reads a file in MPS format and attempts solution using the optimization algorithms provided by the PPL.

See the GNU Linear Programming Kit: Reference Manual (Version 4.38) for information on the MPS format.

OPTIONS

-c, --check[=THRESHOLD] checks the obtained results using GLPK;
    optima are checked with a tolerance of THRESHOLD (default 1e-09); input data are also perturbed the same way as GLPK does

-i, --incremental
    solves the problem incrementally

-m, --min
    minimizes the objective function

-M, --max
    maximizes the objective function (default)

-n, --no-optimization
    checks for satisfiability only

-r, --no-mip
    consider integer variables as real variables

-CSECS, --max-cpu=SECS
    limits CPU usage to SECS seconds

-RMB, --max-memory=MB
    limits memory usage to MB megabytes

-h, --help
    prints this help text to stdout

-oPATH, --output=PATH
    appends output to PATH

-e, --enumerate
    use the (expensive!) enumeration method

-pM, --pricing=M
    use pricing method M for simplex (assumes -s); M is an int from 0 to 2, default 0: 0 --> steepest-edge using floating point 1 --> steepest-edge using exact arithmetic 2 --> textbook

-s, --simplex
    use the simplex method

-t, --timings
    prints timings to stderr

-v, --verbosity=LEVEL
    sets verbosity level (from 0 to 4, default 3): 0 --> quiet: no output except for errors and

    explicitly required notifications

    1 --> solver state only 2 --> state + optimal value 3 --> state + optimal value + optimum location 4 --> lots of output

-V, --version
    prints version information to stdout

AVAILABILITY
The latest version of the Parma Polyhedra Library and all the documentation is available at http://www.cs.unipr.it/ppl/ .

NOTES
The options -CSECS (--max-cpu=SECS) and -t (--timings) are not available on some platforms.

AUTHOR
See the file CREDITS in the source distribution or use the command ppl-config --credits for a list of contributors.

COPYRIGHT
Copyright (C) 2001-2010 Roberto Bagnara <bagnara@cs.unipr.it> Copyright (C) 2010-2011 BUGSENG srl (http://bugseng.com)
This is free software; see the file COPYING in the source distribution or use the command ppl-config --copying to obtain the copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
ppl-config(1)

Andrew Makhorin. GNU Linear Programming Kit: Reference Manual (Version 4.31).